Subject: Re: [PATCH v4 0/5] Early node associativity

From: Nathan Lynch <[email-masked]>
Date: Wed, 02 Oct 2019 12:59:03 -0500

Hi Srikar,

Srikar Dronamraju <[email-masked]> writes:
> Abdul reported  a warning on a shared lpar.
> "WARNING: workqueue cpumask: online intersect > possible intersect".
> This is because per node workqueue possible mask is set very early in the
> boot process even before the system was querying the home node
> associativity. However per node workqueue online cpumask gets updated
> dynamically. Hence there is a chance when per node workqueue online cpumask
> is a superset of per node workqueue possible mask.

Sorry for the delay in following up on these. The series looks good to
me, and I've given it a little testing with LPM and DLPAR. I've also
verified that the cpu assignments occur early as intended on an LPAR
where that workqueue warning had been triggered.